import React from 'react';
import { IconBrightnessHigh } from '@defencedigital/icon-library';
import { COMPONENT_SIZE } from '../Forms';
import { NumberInput } from './NumberInput';
export default {
  argTypes: {
    icon: {
      control: false
    }
  },
  component: NumberInput,
  title: 'Number Input',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    },
    docs: {
      description: {
        component: 'This component leverages a [custom `Decimal` type](https://github.com/MikeMcl/decimal.js) for handling floating point arithmetic.'
      }
    }
  }
};
var Template = function Template(args) {
  return /*#__PURE__*/React.createElement(NumberInput, args);
};
export var Default = Template.bind({});
export var SteppedFloats = Template.bind({});
SteppedFloats.args = {
  step: 0.25
};
export var Placeholder = Template.bind({});
Placeholder.args = {
  placeholder: 'Example placeholder'
};
export var Small = Template.bind({});
Small.args = {
  size: COMPONENT_SIZE.SMALL
};
export var Disabled = Template.bind({});
Disabled.args = {
  isDisabled: true
};
export var WithFootnote = Template.bind({});
WithFootnote.args = {
  footnote: 'Footnote'
};
export var WithLabel = Template.bind({});
WithLabel.args = {
  label: 'Label'
};
export var WithIcon = Template.bind({});
WithIcon.args = {
  icon: /*#__PURE__*/React.createElement(IconBrightnessHigh, null)
};
export var WithPrefix = Template.bind({});
WithPrefix.args = {
  prefix: String.fromCharCode(163),
  value: 1000
};
export var WithSuffix = Template.bind({});
WithSuffix.args = {
  suffix: "m".concat(String.fromCharCode(179)),
  value: 1000
};
export var WithError = Template.bind({});
WithError.args = {
  isInvalid: true
};